#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF2,0x3A,0x2F,0x86,0xB3,0x27,0x7D,0x0D,0x2B,0xF2,0x98,0xFE,
		0xC1,0x15,0x32,0xDE,0xA1,0x35,0x66,0xF1,0x7F,0x74,0x7D,0x46,
		0xBA,0xF5,0xB3,0xCC,0x01,0xA6,0xC6,0x52,0x1C,0xAF,0x45,0x33,
		0xE8,0x8B,0x5A,0xEA,0x2B,0x7D,0x06,0x47,0x56,0x0C,0x6D,0xFD,
		0xA8,0xA1,0xC8,0xFB,0xA9,0x7C,0xC6,0xA9,0x6E,0x04,0xB9,0x5C,
		0xF5,0x0F,0xC8,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
